[% steps = [ 
        { label => 'algemeen' }, 
        { label => 'relaties' },
        { label => 'acties'   }, 
        { label => 'fasen',     link => 'milestone_definitie'   },
    ];
%]
[% FOREACH status = zaaktype.statussen.keys.sort %]
    [% status_obj = zaaktype.statussen.$status %]
    [% steps.push({ label => status, tooltip => status_obj.definitie.fase, link => 'milestones/' _ status });  %]
[% END %]

[% steps.push({ label => 'rechten',   link => 'auth' }); %]

[% IF requires_archive && archive_tab_enabled %]
[% steps.push({ label => 'archief'    link => 'archive' }); %]
[% END %]

[% IF zaaktype.node.properties.is_casetype_mother %]
    [% steps.push({label => 'kinderen', link => 'children' }) %]
[% END %]

[% steps.push({ label => 'afronden'   link => 'finish'                }); %]


[%
    basepath = '/beheer/zaaktypen/' _ zaaktype_id _ '/bewerken/'
%]

[% BLOCK fase_dropdown %]
	<div class="dropdown-wrap">
        <div class="dropdown-init dropdown-init-block ezra_dropdown_init"><span></span></div>
        <div class="dropdown ezra_dropdown dropdown-menu ezra_actie_container">  

            [% FOREACH status = zaaktype.statussen.keys.sort %]
                [% status_obj = zaaktype.statussen.$status %]
                <a href="/beheer/zaaktypen/[% zaaktype_id %]/bewerken/milestones/[% status %]">[% status %]. [% status_obj.definitie.fase %]</a>
            [% END %]
        </div>
    </div>
[% END %]


[% BLOCK bullshit %]
    <div class="dropdown-wrap ezra_zaaktype_beheer_fase_dropdown">
    
        <a href="#" class="dropdown-init">
        <div class="dropdown dropdown-bottom dropdown-init-block dropdown-tooltip">
            <div class="dropdown-pijl"></div>
            <div class="dropdown-content dropdown-content-overflow"> 
                Statussen: [% zaaktype.statussen.keys.sort.join %]dfdf
            </div>
        </div>
        </a>
    </div>

    [% IF step.label =='fasen' %]
        <span class="prev">
        [% PROCESS fase_dropdown %]
        </span>
    [% END %]

[% END %]



<div class="voortgang">


            [% FOREACH step = steps %]
                [% current_step_link = step.link || step.label %] 
                [% next_step = loop.next() %]
                [% next_step_link = next_step.link || next_step.label %]
                [% page_step = huidige_stapnaam %]
                [% IF milestone_number %][% page_step = page_step _ '/' _ milestone_number %][% END %]
                
                
                [% IF step.label =='fasen_disabled' %]

                    [% IF current_step_link == page_step %][% link_class="prev" %][% END %]
                            <a class="ezra_zaaktype_goto [% link_class %]" href="/beheer/zaaktypen/[% zaaktype_id %]/bewerken/milestone_definitie">fasen[% IF disabled_milestone_number %] ([% milestone_number %]) [% END %]</a>
                            [% PROCESS fase_dropdown
                            link_class = link_class %]

                    
                [% ELSE %]

                        <a href="[% basepath %][% current_step_link %]" class="ezra_zaaktype_goto
                            [% IF current_step_link == page_step %]voortgang-current[% END %]
                            [% IF step.tooltip %]add-tooltip[% END %]"
                            [% IF step.tooltip %]title="[% step.tooltip %]"[% END %]
                        >[% step.label %]</a>

                [% END %]

                [% UNLESS loop.last() %] 
                <span class="voortgang-divider"></span>
                [% END %]

                 
            [% END %]

</div>
